Description

Al ejecutar los geoprocesos Area de influencia o Interseccion (creo que debe ocurrir con todos), crea capas de tipo Polygon2D,
cuando deberian ser Multipolygon2D.

Esto hace que si luego vamos a aplicar otros geoprocesos con la capa resultante y otras capas (por ejemplo Interseccion de una
capa obtenida de un buffer con otra capa nuestra multipolygon) nos crea una capa vacia.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5526: Al exportar una ca... Closed 12/14/2020

Associated revisions

Revision 2885 - 12/16/2022 11:31 AM - Francisco Diaz Carsi

refs #5525 Fix TrimaNamesTranslator

Revision 46897 - 12/16/2022 11:37 AM - Francisco Diaz Carsi

refs #5525 Sobreescritura del tipo de geometria en el archivo dal con lo que dice el archivo SHP

Revision 1850 - 12/16/2022 11:41 AM - Francisco Diaz Carsi

refs #5525 Arreglada la longitud de los nombres de los campos del resultado

History

#1 - 12/14/2020 05:00 PM - Mario Carrera

- Related to gvSIG bugs #5526: Al exportar una capa vectorial multigeometria a SHP, la capa de poligonos se crea como de tipo "Surface" added

#2 - 01/19/2023 07:59 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Francisco Diaz Carsi

- Status changed from New to Fixed
Se han encontrado dos problemas durante el trabajo sobre este punto.

El tipo de geometria que se almacenaba en los metadatos del shape era incorrecto. Se ha hecho que el shape, una vez cargado actualice los
metadatos de este relacionados con el tipo de geometria por los que acaba de cargar del shape.

Por otra parte, habia un problema en la comparacién de los valores numéricos similar a la que se daba en #5540.

#3 - 08/03/2023 02:17 PM - Alvaro Anguix

- Status changed from Fixed to Closed
